Summary:             Devhelp
Name:                devhelp
Version:             0.7
Release:             3mdk
License:             GPL
Group:               Development/Other
URL:	http://www.imendio.com/projects/devhelp/
Source0:             devhelp-%{version}.tar.bz2
Source1:	     %name-32.png
Source2:	     %name-16.png	
BuildRoot:           %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:		 libgnomeui2-devel
BuildRequires:		 libgtkhtml2-devel

%description

Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%prep
%setup -q

%build
%define __libtoolize true
%configure2_5x --disable-install-schemas

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# Menu entry 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/devhelp" icon="devhelp.png" needs="X11" \
section="Applications/Development/Tools" title="DevHelp" longtitle="Developers Help program"
EOF

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot/%_liconsdir
install -m 644 %SOURCE1 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.png

%find_lang %{name}

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/devhelp/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL

%{_bindir}/*
%{_libdir}/devhelp
%{_datadir}/applications/*
%{_datadir}/devhelp
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_datadir}/mime-info/*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- don't libtoolize to fix build of libdevhelp

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- add icons
- fix url and package description

* Tue Jul 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0 (GNOME2)
- Remove patch0 (no longer needed)

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Grr, really remove dependency on old openssl

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Recompiled against latest openssl

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- PreReq GConf (fix bug 677)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Recompiled against latest gal/gtkhtml
- Patch0: add support for gtkhtml 1.1.x

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Apr 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mdk package (not libified, not needed)
